Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class AnalyzerAboutDialog.PackagesModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          samples.javaclient.analyzer.AnalyzerAboutDialog.PackagesModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  AnalyzerAboutDialog

private class AnalyzerAboutDialog.PackagesModel
extends javax.swing.table.AbstractTableModel

A class that provides the table model for the list of packages

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`private` | `AnalyzerAboutDialog.PackagesModel()`

Method Summary
`int` | `getColumnCount()` Return number of columns (package name, version number and loaded in VM) in the table
`java.lang.String` | `getColumnName(int col)` Return the column headers
`int` | `getRowCount()` Return number of rows (the packages) in the table
`java.lang.Object` | `getValueAt(int row, int col)` Return the table contents

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalyzerAboutDialog.PackagesModel

    private AnalyzerAboutDialog.PackagesModel()

Method Detail

### getColumnCount

    public int getColumnCount()

  Return number of columns (package name, version number and loaded in VM) in the table

  Returns:
    the number of columns in the table

### getColumnName

    public java.lang.String getColumnName(int col)

  Return the column headers

  Returns:
    the name of the specified column

### getRowCount

    public int getRowCount()

  Return number of rows (the packages) in the table

  Returns:
    the number of rows in the table

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Return the table contents

  Returns:
    the content at the specified row and column

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD